Commit 8e0f5794 authored by Jan Möbius's avatar Jan Möbius
Browse files

Disable fatal errors. They are not fatal at all!

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@18722 383ad7c9-94d9-4d36-a494-682f7c89f535
parent fb6eb74c
...@@ -223,16 +223,18 @@ macro (acg_qt5) ...@@ -223,16 +223,18 @@ macro (acg_qt5)
#for custom installation of qt5, dont use any of these variables #for custom installation of qt5, dont use any of these variables
set (QT5_INSTALL_PATH "" CACHE PATH "Path to Qt5 directory which contains lib and include folder") set (QT5_INSTALL_PATH "" CACHE PATH "Path to Qt5 directory which contains lib and include folder")
if (EXISTS ${QT5_INSTALL_PATH})
if (NOT EXISTS "${QT5_INSTALL_PATH}/include") if (EXISTS ${QT5_INSTALL_PATH})
message( FATAL_ERROR "Could not find Qt5 include directory. Please set QT5_INSTALL_PATH to the directory which contains Qt5 lib and include folder.") # if (NOT EXISTS "${QT5_INSTALL_PATH}/include")
endif() # message( FATAL_ERROR "Could not find Qt5 include directory. Please set QT5_INSTALL_PATH to the directory which contains Qt5 lib and include folder.")
if (NOT EXISTS "${QT5_INSTALL_PATH}/lib") # endif()
message( FATAL_ERROR "Could not find Qt5 lib directory. Please set QT5_INSTALL_PATH to the directory which contains Qt5 lib and include folder.") # if (NOT EXISTS "${QT5_INSTALL_PATH}/lib")
endif() # message( FATAL_ERROR "Could not find Qt5 lib directory. Please set QT5_INSTALL_PATH to the directory which contains Qt5 lib and include folder.")
else() # endif()
message( FATAL_ERROR "The Given QT5_INSTALL_PATH does not exists") else()
endif() message( FATAL_ERROR "The Given QT5_INSTALL_PATH does not exists")
endif()
set (CMAKE_PREFIX_PATH ${QT5_INSTALL_PATH}) set (CMAKE_PREFIX_PATH ${QT5_INSTALL_PATH})
set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE) set (CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
...@@ -253,9 +255,6 @@ macro (acg_qt5) ...@@ -253,9 +255,6 @@ macro (acg_qt5)
endif()#WIN32 endif()#WIN32
find_package (Qt5Core REQUIRED) find_package (Qt5Core REQUIRED)
find_package (Qt5Declarative REQUIRED) find_package (Qt5Declarative REQUIRED)
find_package (Qt5Widgets REQUIRED) find_package (Qt5Widgets REQUIRED)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment